@import "~/variables";

.nav_header {
  position: fixed;
  top: 0;
  width: 100vw;
  z-index: 10;
  background-color: white;
  box-shadow: $base_shadow_light;

.navigationholderouter {
  display: grid;
  grid-template-columns: auto 80vw auto;
  grid-template-areas: '. all .';
  padding: $base_padding;

  .row_padding {
    padding: 0 $base_padding;
  }

  .navigationholder {
    display: grid;
    grid-template-columns: auto auto 1fr auto;
    gap: 1em;
    grid-area: all;

    .action_buttons {
      display: grid;
      grid-template-columns: repeat(3, auto);
    }
  }
}
}